#include <iostream>
using namespace std;

long long zbir(long long n)
{
	return n*(n+1)/2;
}


int main()
{
	int t;
	cin >>t;
	long long n,m,k;
	string izlaz[t];
	for(int i=0;i<t;i++)
	{
		cin>>n>>m>>k;
		bool a=n%k;
		if(m>=(zbir((n-(n%k))/k)*k+(n%k)*((n/k)+a)))izlaz[i]="Tak";
		else izlaz[i]="Nie";
	}
	for(int i=0;i<t;i++)
		cout<<izlaz[i]<<"\n";
	return 0;
}